| BSL430.NET 1.3.4

Public Member Functions | Properties | List of all members
BSL430_NET.Bsl430NetDevice Class Reference

BSL430.NET Device node serve as a generic device indentificator with field 'Name' as a key. More...

Inheritance diagram for BSL430_NET.Bsl430NetDevice:

## Public Member Functions
| Bsl430NetDevice ()
| Bsl430NetDevice constructor More...
| Bsl430NetDevice (Bsl430NetDevice Dev)
| Bsl430NetDevice copy constructor More...
| Bsl430NetDevice (string DeviceName)
| Bsl430NetDevice constructor More...
| Bsl430NetDevice (string DeviceName, string Description, string FullDesc, Mode Mode, string Kind)
| Bsl430NetDevice constructor More...
override string | ToString ()
| FormattedDescription of current device. More...

## Properties
string | Name = ""`[get, set]`
| Name is unique string that serves as main key to handle devices in this library eg. COM1, FTDI2, libtfi3, USB4 .. More...
string | Description = ""`[get, set]`
| Device description. More...
string | Kind = ""`[get, set]`
| Device kind. [FTDI, libftdi, COM (Serial), USB] More...
string | FormattedDescription = ""`[get, set]`
| Device general formated description eg. 'V/PID: 1234-5678 [Dev1] SN: 0123456' More...
Mode | Mode = Mode.UART_Serial`[get, set]`
| Device mode. More...

## Detailed Description

BSL430.NET Device node serve as a generic device indentificator with field 'Name' as a key.

## Constructor & Destructor Documentation

## ◆ Bsl430NetDevice() [1/4]

BSL430_NET.Bsl430NetDevice.Bsl430NetDevice | ( |  | ) |

Bsl430NetDevice constructor

## ◆ Bsl430NetDevice() [2/4]

BSL430_NET.Bsl430NetDevice.Bsl430NetDevice | ( | Bsl430NetDevice | Dev | ) |

Bsl430NetDevice copy constructor

## ◆ Bsl430NetDevice() [3/4]

BSL430_NET.Bsl430NetDevice.Bsl430NetDevice | ( | string | DeviceName | ) |

Bsl430NetDevice constructor

## ◆ Bsl430NetDevice() [4/4]

BSL430_NET.Bsl430NetDevice.Bsl430NetDevice | ( | string | DeviceName,
|  | string | Description,
|  | string | FullDesc,
|  | Mode | Mode,
|  | string | Kind
| ) |  |

Bsl430NetDevice constructor

## Member Function Documentation

## ◆ ToString()

override string BSL430_NET.Bsl430NetDevice.ToString | ( |  | ) |

FormattedDescription of current device.

## Property Documentation

## ◆ Description

string BSL430_NET.Bsl430NetDevice.Description = ""
| get set

Device description.

## ◆ FormattedDescription

string BSL430_NET.Bsl430NetDevice.FormattedDescription = ""
| get set

Device general formated description eg. 'V/PID: 1234-5678 [Dev1] SN: 0123456'

## ◆ Kind

string BSL430_NET.Bsl430NetDevice.Kind = ""
| get set

Device kind. [FTDI, libftdi, COM (Serial), USB]

## ◆ Mode

Mode BSL430_NET.Bsl430NetDevice.Mode = Mode.UART_Serial
| get set

Device mode.

## ◆ Name

string BSL430_NET.Bsl430NetDevice.Name = ""
| get set

Name is unique string that serves as main key to handle devices in this library eg. COM1, FTDI2, libtfi3, USB4 ..

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/BSL430NET.cs